/*
 * context-manager
 *
 * Copyright (c) 2014 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

#ifndef __CONTEXT_PEDOMETER_TYPES_H__
#define __CONTEXT_PEDOMETER_TYPES_H__

#define PREFIX_PEDOMETER	"pedo"
#define ID_PEDOMETER		PREFIX_PEDOMETER"meter"

// Data Fields
#define PEDOMETER_STATUS		"Status"
#define PEDOMETER_SPEED			"Speed"
#define PEDOMETER_FREQ			"Freq"

// Cumulative
#define PEDOMETER_CUM_DIST		"Dist"
#define PEDOMETER_CUM_CAL		"Cal"
#define PEDOMETER_CUM_TOTAL		"Total"
#define PEDOMETER_CUM_WALK		"Walk"
#define PEDOMETER_CUM_WALK_UP	"WalkUp"
#define PEDOMETER_CUM_WALK_DN	"WalkDn"
#define PEDOMETER_CUM_RUN		"Run"
#define PEDOMETER_CUM_RUN_UP	"RunUp"
#define PEDOMETER_CUM_RUN_DN	"RunDn"

// History
#define PEDOMETER_HIS_SIZE		"HisSize"
#define PEDOMETER_HIS_DIST		"Dist_H"
#define PEDOMETER_HIS_CAL		"Cal_H"
#define PEDOMETER_HIS_TOTAL		"Total_H"
#define PEDOMETER_HIS_WALK		"Walk_H"
#define PEDOMETER_HIS_WALK_UP	"WakkUp_H"
#define PEDOMETER_HIS_WALK_DN	"WalkDn_H"
#define PEDOMETER_HIS_RUN		"Run_H"
#define PEDOMETER_HIS_RUN_UP	"RunUp_H"
#define PEDOMETER_HIS_RUN_DN	"RunDn_H"
#define PEDOMETER_HIS_SPEED		"Speed_H"
#define PEDOMETER_HIS_MODE		"HisMode"
#define PEDOMETER_HIS_MODE_OFF	0
#define PEDOMETER_HIS_MODE_ON	1

// Option Fields
#define PEDOMETER_GENDER		"Gender"
#define PEDOMETER_HEIGHT		"Height"
#define PEDOMETER_WEIGHT		"Weight"

#endif /* __CONTEXT_PEDOMETER_TYPES_H__ */
